Bug 997948 - openstack-nova-compute fails to start if messagebus is not running
openstack-nova-compute fails to start if messagebus is not running
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-nova (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pádraig Brady
Ami Jeain
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 11:22 EDT by Paul Belanger
Modified: 2016-01-04 09:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-22 13:56:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compute.log (8.82 KB, text/x-log)
2013-08-16 11:22 EDT, Paul Belanger
no flags Details

  None (edit)
Description Paul Belanger 2013-08-16 11:22:35 EDT
Created attachment 787339 [details]
compute.log

Description of problem:
A fresh install of RDO under CentOS 6.4 (netinstall [minimual]) fails to properly launch nova-compute.

Version-Release number of selected component (if applicable):


How reproducible:
Install CentOS 6.4 w/ netinstall.iso and minimual server.  Follow instructions to install RDO.

Steps to Reproduce:
1.
2.
3.

Actual results:
[root@openstack-01-prod ~(keystone_admin)]# nova service-list
+------------------+-------------------+----------+---------+-------+----------------------------+
| Binary           | Host              | Zone     | Status  | State | Updated_at                 |
+------------------+-------------------+----------+---------+-------+----------------------------+
| nova-cert        | openstack-01-prod | internal | enabled | up    | 2013-08-16T11:08:50.000000 |
| nova-conductor   | openstack-01-prod | internal | enabled | up    | 2013-08-16T11:08:49.000000 |
| nova-consoleauth | openstack-01-prod | internal | enabled | up    | 2013-08-16T11:08:52.000000 |
| nova-network     | openstack-01-prod | internal | enabled | up    | 2013-08-16T11:08:50.000000 |
| nova-scheduler   | openstack-01-prod | internal | enabled | up    | 2013-08-16T11:08:49.000000 |
+------------------+-------------------+----------+---------+-------+----------------------------+


Expected results:
+------------------+-------------------+----------+---------+-------+----------------------------+
| Binary           | Host              | Zone     | Status  | State | Updated_at                 |
+------------------+-------------------+----------+---------+-------+----------------------------+
| nova-cert        | openstack-01-prod | internal | enabled | up    | 2013-08-16T11:12:00.000000 |
| nova-compute     | openstack-01-prod | nova     | enabled | up    | 2013-08-16T11:12:07.000000 |
| nova-conductor   | openstack-01-prod | internal | enabled | up    | 2013-08-16T11:11:59.000000 |
| nova-consoleauth | openstack-01-prod | internal | enabled | up    | 2013-08-16T11:12:02.000000 |
| nova-network     | openstack-01-prod | internal | enabled | up    | 2013-08-16T11:12:00.000000 |
| nova-scheduler   | openstack-01-prod | internal | enabled | up    | 2013-08-16T11:11:59.000000 |
+------------------+-------------------+----------+---------+-------+----------------------------+


Additional info:
See attached log file
Comment 1 Paul Belanger 2013-08-16 11:23:56 EDT
Looking at the log file, you can clearly see messagebus is not running.  Running:

# service messagebus start
# service openstack-nova-compute start

fixes the issue.
Comment 2 Kashyap Chamarthy 2014-01-15 10:08:55 EST
Paul, 

You haven't mentioned what versions you have tested with. Can you please test with newer versions of RDO and report back (with clear details, versions) if you're still noticing the issue?

Thanks.
Comment 3 Paul Belanger 2014-01-15 10:13:40 EST
Unfortunately I have dropped RDO in favor of Debian, so I won't be able to reproduce any more.

I'll leave it to your discretion if you want to leave open or close the issue.
Comment 4 Pádraig Brady 2014-01-15 10:16:07 EST
So openstack-demo-install used to enable the messagebus service where needed.
I notice that packstack has no mention of 'messagebus'.

It would be good if the openstack-nova "init scripts" added appropriate dependencies on the "dbus" service to handle this automatically.
Without looking into it, I'm guessing this is easier on Fedora/EL6
than on EL6
Comment 5 Stephen Gordon 2014-05-22 11:42:03 EDT
Did you mean Fedora/EL7 above? I think this is no longer an issue but would like to confirm.
Comment 6 Pádraig Brady 2014-05-22 13:56:59 EDT
I meant Fedora/EL7 yes. I've not seen or heard of this issue recently.
Also I see that puppet ensures the messagebus service is started at ./manifests/compute/libvirt.pp

Note You need to log in before you can comment on or make changes to this bug.